#!/usr/bin/python
# -*- coding:utf8 -*-

"""Récupère en parmètre un mot de passe, le sale et le hashe en sha256.
   Sort un format NK2015-compliant."""

table="azertyuiopqsdfghjklmwxcvbn0123456789"

import random
import hashlib
import sys

def random_chain(size):
   return "".join([random.choice(table) for i in range(size)])

if __name__=="__main__":
   password=sys.argv[1]
   sel=random_chain(8)
   hashed=hashlib.sha256(sel+password).hexdigest()
   print sel+"|"+hashed
